# Maintainer: Paul Kasemir <paul.kasemir@gmail.com>
pkgname=find-the-command
pkgver=2.0.1
pkgrel=4
pkgdesc="Advanced command-not-found hook for bash, fish and zsh using the power of pacman"
arch=('any')
url="https://github.com/pkasemir/find-the-command"
license=('custom:WTFPL')
depends=('pacman>=5.0' 'fzf' 'pkgfile')
optdepends=('pacman-contrib: for weekly pacman-filesdb-refresh.timer'
            'sudo: helpful for privilege elevation'
            'doas: helpful for privilege elevation')
install=find-the-command.install
options=('docs')
source=("https://github.com/pkasemir/$pkgname/archive/$pkgver.tar.gz"
        "0001-lunaos-add-doas-support.patch")
sha256sums=('aa312358f419a41ce48bc3c51f336892321fe3d8819b0e1a419c9eb2c8ba7593'
            'e8814edb606434ea4f49bc667ed35b66429563f475bebc80f6afd6c043e6bce9')

package() {
  cd "$pkgname-$pkgver"
  patch -Np1 < "../0001-lunaos-add-doas-support.patch"
  install -Dm644 README.md usr/share/doc/"${pkgname}"/ftc.* -t \
    "$pkgdir/usr/share/doc/${pkgname}"
  install -Dm644 LICENSE -t "$pkgdir/usr/share/licenses/${pkgname}"
}
